Subject: Re: SIS Question
From: [email-masked]
Date: 20 Mar 1997 21:59:31 GMT
Newsgroups: comp.sys.apple2

On Wed, 19 Mar 1997, Joe Walters wrote:
> The text I've seen says that an accelerator is recommened. I have
> one, 8 meg, is that enough? Or, do I need to send my board to
> Doug P for the 14 Meg upgrade?

Joe, I am almost sure that the 14MHz upgrade would help.

Before you send money to Doug, however, consider that you can do
the job yourself.  Nate's accelerator FAQ is somewhat convoluted
in this, but don't let that fool you.  Reading Nate's FAQ makes
it seem like you MUST solder the Zip if you want to get it going
fast, but I upgraded by other methods.  The process is very
simple.

Alltech Electronics stocks the WDC65C816-14MHz for $20.  You need
one of this part.  Alltech's web site is http://www.allelec.com/

Digi-Key stocks 0.3mil to 0.6mil adapter sockets for about $7 each.
The ones you want are part number A502-ND.  You can plug a 28 pin
SRAM into the 0.3mil adapter socket and the adapter in turn plugs into
the 0.6mil socket on the Zip.  Digi-Key web site http://www.digikey.com/
(If you have some spare sockets lying around, you can build your
own cheap, but that's another story.)

JDR Microdevices is a good source of SRAMs.  You'll want 15ns in tag
(HM62832-15, $5 each) and, usually, you can transfer your original tag
chips to the data sockets.  JDR's web site is http://www.jdr.com/

A full size oscillator.  Both Digi-Key and JDR has these.  Divide
oscillator speed by four to get Zip speed.  JDR has the OSC50.0
(50MHz oscillator), which will make a 12.5MHz Zip.  Digi-Key has
faster parts.

Now Nate's FAQ says that you need to replace the 74F00 with 74HC00.
I did NOT have to do this to get it running at 13.75MHz.

Also, it is possible to use your original tag chips in the data
sockets.  Data should always be slower than tag.  Barry Rees posted
his experiences on this matter (that data should be significantly
slower than tag) and I found that the original tag chips were in
the right speed range.  So, you just take out your original data
chips and put them aside.  Remove your tag chips and plug them into
the data sockets.  Plug your new 15ns chips into the Digi-Key
adapters and plug the adapters into the tag sockets of the Zip.
Install the new CPU and oscillator.  That's it, done completely
without soldering.

-Scott G.